# popt/findme.c File Reference

`#include "system.h"`
`#include <ctype.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

const char * | findProgramPath (const char *argv0)
| Return absolute path to executable by searching PATH.

## Detailed Description

Definition in file findme.c.

## Function Documentation

const char* findProgramPath | ( | const char * | argv0 | ) |

Return absolute path to executable by searching PATH.

Parameters:

  | argv0 | name of executable

Returns:
  (malloc'd) absolute path to executable (or NULL)

Definition at line 12 of file findme.c.